summaryrefslogtreecommitdiff
path: root/tests/tail-2/append-only.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/append-only.sh')
-rwxr-xr-xtests/tail-2/append-only.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/tests/tail-2/append-only.sh b/tests/tail-2/append-only.sh
index 8baba7e91..9da10ae9c 100755
--- a/tests/tail-2/append-only.sh
+++ b/tests/tail-2/append-only.sh
@@ -32,10 +32,9 @@ if test $chattr_a_works = 0; then
fi
-for inotify in ---disable-inotify ''; do
- sleep 1 &
- pid=$!
- tail --pid=$pid -f $inotify f || fail=1
+for mode in '' '---disable-inotify'; do
+ sleep 1 & pid=$!
+ tail --pid=$pid -f $mode f || fail=1
done
chattr -a f 2>/dev/null